declare const _exports: {
    Client: typeof import("./lib").Client;
    PartialTextBasedChannel<T>(Base?: import("discord.js").Constructable<T> | undefined): import("discord.js").Constructable<T & import("discord.js").PartialTextBasedChannelFields>;
    TextBasedChannelMixin<T_1, I extends keyof import("discord.js").TextBasedChannelFields = never>(Base?: import("discord.js").Constructable<T_1> | undefined, ignore?: I[] | undefined): import("discord.js").Constructable<T_1 & Omit<import("discord.js").TextBasedChannelFields, I>>;
    PartialWebhookMixin<T_2>(Base?: import("discord.js").Constructable<T_2> | undefined): import("discord.js").Constructable<T_2 & import("discord.js").PartialWebhookFields>;
    WebhookMixin<T_3>(Base?: import("discord.js").Constructable<T_3> | undefined): import("discord.js").Constructable<T_3 & import("discord.js").WebhookFields>;
    Activity: typeof import("discord.js").Activity;
    ActivityFlags: typeof import("discord.js").ActivityFlags;
    AnonymousGuild: typeof import("discord.js").AnonymousGuild;
    Application: typeof import("discord.js").Application;
    ApplicationCommand: typeof import("discord.js").ApplicationCommand;
    ApplicationFlags: typeof import("discord.js").ApplicationFlags;
    Base: typeof import("discord.js").Base;
    BaseClient: typeof import("discord.js").BaseClient;
    BaseCommandInteraction: typeof import("discord.js").BaseCommandInteraction;
    BaseGuild: typeof import("discord.js").BaseGuild;
    BaseGuildEmoji: typeof import("discord.js").BaseGuildEmoji;
    BaseGuildTextChannel: typeof import("discord.js").BaseGuildTextChannel;
    BaseGuildVoiceChannel: typeof import("discord.js").BaseGuildVoiceChannel;
    BaseMessageComponent: typeof import("discord.js").BaseMessageComponent;
    BitField: typeof import("discord.js").BitField;
    ButtonInteraction: typeof import("discord.js").ButtonInteraction;
    CategoryChannel: typeof import("discord.js").CategoryChannel;
    Channel: typeof import("discord.js").Channel;
    ClientApplication: typeof import("discord.js").ClientApplication;
    ClientPresence: typeof import("discord.js").ClientPresence;
    ClientUser: typeof import("discord.js").ClientUser;
    Options: typeof import("discord.js").Options;
    ClientVoiceManager: typeof import("discord.js").ClientVoiceManager;
    Collection: typeof import("@discordjs/collection").Collection;
    Collector: typeof import("discord.js").Collector;
    CommandInteraction: typeof import("discord.js").CommandInteraction;
    AutocompleteInteraction: typeof import("discord.js").AutocompleteInteraction;
    CommandInteractionOptionResolver: typeof import("discord.js").CommandInteractionOptionResolver;
    ContextMenuInteraction: typeof import("discord.js").ContextMenuInteraction;
    DataResolver: typeof import("discord.js").DataResolver;
    DiscordAPIError: typeof import("discord.js").DiscordAPIError;
    DMChannel: typeof import("discord.js").DMChannel;
    Emoji: typeof import("discord.js").Emoji;
    Guild: typeof import("discord.js").Guild;
    GuildAuditLogs: typeof import("discord.js").GuildAuditLogs;
    GuildAuditLogsEntry: typeof import("discord.js").GuildAuditLogsEntry;
    GuildBan: typeof import("discord.js").GuildBan;
    GuildChannel: typeof import("discord.js").GuildChannel;
    GuildEmoji: typeof import("discord.js").GuildEmoji;
    GuildMember: typeof import("discord.js").GuildMember;
    GuildPreview: typeof import("discord.js").GuildPreview;
    GuildScheduledEvent: typeof import("discord.js").GuildScheduledEvent;
    GuildTemplate: typeof import("discord.js").GuildTemplate;
    GuildPreviewEmoji: typeof import("discord.js").GuildPreviewEmoji;
    HTTPError: typeof import("discord.js").HTTPError;
    RateLimitError: typeof import("discord.js").RateLimitError;
    Integration: typeof import("discord.js").Integration;
    IntegrationApplication: typeof import("discord.js").IntegrationApplication;
    Intents: typeof import("discord.js").Intents;
    Interaction: typeof import("discord.js").Interaction;
    InteractionCollector: typeof import("discord.js").InteractionCollector;
    InteractionWebhook: typeof import("discord.js").InteractionWebhook;
    Invite: typeof import("discord.js").Invite;
    InviteStageInstance: typeof import("discord.js").InviteStageInstance;
    InviteGuild: typeof import("discord.js").InviteGuild;
    LimitedCollection: typeof import("discord.js").LimitedCollection;
    Message: typeof import("discord.js").Message;
    MessageActionRow: typeof import("discord.js").MessageActionRow;
    MessageAttachment: typeof import("discord.js").MessageAttachment;
    MessageButton: typeof import("discord.js").MessageButton;
    MessageCollector: typeof import("discord.js").MessageCollector;
    MessageComponentInteraction: typeof import("discord.js").MessageComponentInteraction;
    MessageContextMenuInteraction: typeof import("discord.js").MessageContextMenuInteraction;
    MessageEmbed: typeof import("discord.js").MessageEmbed;
    MessageFlags: typeof import("discord.js").MessageFlags;
    MessageMentions: typeof import("discord.js").MessageMentions;
    MessagePayload: typeof import("discord.js").MessagePayload;
    MessageReaction: typeof import("discord.js").MessageReaction;
    MessageSelectMenu: typeof import("discord.js").MessageSelectMenu;
    NewsChannel: typeof import("discord.js").NewsChannel;
    OAuth2Guild: typeof import("discord.js").OAuth2Guild;
    PartialGroupDMChannel: typeof import("discord.js").PartialGroupDMChannel;
    PermissionOverwrites: typeof import("discord.js").PermissionOverwrites;
    Permissions: typeof import("discord.js").Permissions;
    Presence: typeof import("discord.js").Presence;
    ReactionCollector: typeof import("discord.js").ReactionCollector;
    ReactionEmoji: typeof import("discord.js").ReactionEmoji;
    RichPresenceAssets: typeof import("discord.js").RichPresenceAssets;
    Role: typeof import("discord.js").Role;
    SelectMenuInteraction: typeof import("discord.js").SelectMenuInteraction;
    Shard: typeof import("discord.js").Shard;
    ShardClientUtil: typeof import("discord.js").ShardClientUtil;
    ShardingManager: typeof import("discord.js").ShardingManager;
    SnowflakeUtil: typeof import("discord.js").SnowflakeUtil;
    StageChannel: typeof import("discord.js").StageChannel;
    StageInstance: typeof import("discord.js").StageInstance;
    Sticker: typeof import("discord.js").Sticker;
    StickerPack: typeof import("discord.js").StickerPack;
    StoreChannel: typeof import("discord.js").StoreChannel;
    Sweepers: typeof import("discord.js").Sweepers;
    SystemChannelFlags: typeof import("discord.js").SystemChannelFlags;
    Team: typeof import("discord.js").Team;
    TeamMember: typeof import("discord.js").TeamMember;
    TextChannel: typeof import("discord.js").TextChannel;
    ThreadChannel: typeof import("discord.js").ThreadChannel;
    ThreadMember: typeof import("discord.js").ThreadMember;
    ThreadMemberFlags: typeof import("discord.js").ThreadMemberFlags;
    Typing: typeof import("discord.js").Typing;
    User: typeof import("discord.js").User;
    UserContextMenuInteraction: typeof import("discord.js").UserContextMenuInteraction;
    UserFlags: typeof import("discord.js").UserFlags;
    Util: typeof import("discord.js").Util;
    Formatters: typeof import("discord.js").Formatters;
    VoiceChannel: typeof import("discord.js").VoiceChannel;
    VoiceRegion: typeof import("discord.js").VoiceRegion;
    VoiceState: typeof import("discord.js").VoiceState;
    Webhook: typeof import("discord.js").Webhook;
    WebhookClient: typeof import("discord.js").WebhookClient;
    WebSocketManager: typeof import("discord.js").WebSocketManager;
    WebSocketShard: typeof import("discord.js").WebSocketShard;
    Widget: typeof import("discord.js").Widget;
    WidgetMember: typeof import("discord.js").WidgetMember;
    WelcomeChannel: typeof import("discord.js").WelcomeChannel;
    WelcomeScreen: typeof import("discord.js").WelcomeScreen;
    Constants: {
        Package: {
            [key: string]: unknown;
            name: string;
            version: string;
            description: string;
            license: string;
            main: string;
            types: string;
            homepage: string;
            keywords: string[];
            bugs: {
                url: string;
            };
            repository: {
                type: string;
                url: string;
            };
            scripts: Record<string, string>;
            engines: Record<string, string>;
            dependencies: Record<string, string>;
            devDependencies: Record<string, string>;
        };
        UserAgent: string;
        Endpoints: {
            botGateway: string;
            invite: (root: string, code: string, eventId?: string | undefined) => string;
            scheduledEvent: (root: string, guildId: string, eventId: string) => string;
            CDN: (root: string) => {
                Emoji: (emojiId: string, format: import("discord.js").DynamicImageFormat) => string;
                Asset: (name: string) => string;
                DefaultAvatar: (discriminator: number) => string;
                Avatar: (userId: string, hash: string, format: import("discord.js").DynamicImageFormat, size: import("discord.js").AllowedImageSize, dynamic: boolean) => string;
                Banner: (id: string, hash: string, format: import("discord.js").DynamicImageFormat, size: import("discord.js").AllowedImageSize, dynamic: boolean) => string;
                GuildMemberAvatar: (guildId: string, memberId: string, hash: string, format?: import("discord.js").DynamicImageFormat | undefined, size?: import("discord.js").AllowedImageSize | undefined, dynamic?: boolean | undefined) => string;
                Icon: (guildId: string, hash: string, format: import("discord.js").DynamicImageFormat, size: import("discord.js").AllowedImageSize, dynamic: boolean) => string;
                AppIcon: (appId: string, hash: string, { format, size }: {
                    format: import("discord.js").AllowedImageFormat;
                    size: import("discord.js").AllowedImageSize;
                }) => string;
                AppAsset: (appId: string, hash: string, { format, size }: {
                    format: import("discord.js").AllowedImageFormat;
                    size: import("discord.js").AllowedImageSize;
                }) => string;
                StickerPackBanner: (bannerId: string, format: import("discord.js").AllowedImageFormat, size: import("discord.js").AllowedImageSize) => string;
                GDMIcon: (channelId: string, hash: string, format: import("discord.js").AllowedImageFormat, size: import("discord.js").AllowedImageSize) => string;
                Splash: (guildId: string, hash: string, format: import("discord.js").AllowedImageFormat, size: import("discord.js").AllowedImageSize) => string;
                DiscoverySplash: (guildId: string, hash: string, format: import("discord.js").AllowedImageFormat, size: import("discord.js").AllowedImageSize) => string;
                TeamIcon: (teamId: string, hash: string, { format, size }: {
                    format: import("discord.js").AllowedImageFormat;
                    size: import("discord.js").AllowedImageSize;
                }) => string;
                Sticker: (stickerId: string, stickerFormat: "PNG" | "APNG" | "LOTTIE") => string;
                RoleIcon: (roleId: string, hash: string, format: import("discord.js").AllowedImageFormat, size: import("discord.js").AllowedImageSize) => string;
            };
        };
        WSCodes: {
            1000: "WS_CLOSE_REQUESTED";
            4004: "TOKEN_INVALID";
            4010: "SHARDING_INVALID";
            4011: "SHARDING_REQUIRED";
        };
        Events: import("discord.js").ConstantsEvents;
        ShardEvents: import("discord.js").ConstantsShardEvents;
        PartialTypes: {
            USER: "USER";
            CHANNEL: "CHANNEL";
            GUILD_MEMBER: "GUILD_MEMBER";
            MESSAGE: "MESSAGE";
            REACTION: "REACTION";
            GUILD_SCHEDULED_EVENT: "GUILD_SCHEDULED_EVENT";
        };
        WSEvents: {
            READY: "READY";
            RESUMED: "RESUMED";
            APPLICATION_COMMAND_CREATE: "APPLICATION_COMMAND_CREATE";
            APPLICATION_COMMAND_DELETE: "APPLICATION_COMMAND_DELETE";
            APPLICATION_COMMAND_UPDATE: "APPLICATION_COMMAND_UPDATE";
            GUILD_CREATE: "GUILD_CREATE";
            GUILD_DELETE: "GUILD_DELETE";
            GUILD_UPDATE: "GUILD_UPDATE";
            INVITE_CREATE: "INVITE_CREATE";
            INVITE_DELETE: "INVITE_DELETE";
            GUILD_MEMBER_ADD: "GUILD_MEMBER_ADD";
            GUILD_MEMBER_REMOVE: "GUILD_MEMBER_REMOVE";
            GUILD_MEMBER_UPDATE: "GUILD_MEMBER_UPDATE";
            GUILD_MEMBERS_CHUNK: "GUILD_MEMBERS_CHUNK";
            GUILD_ROLE_CREATE: "GUILD_ROLE_CREATE";
            GUILD_ROLE_DELETE: "GUILD_ROLE_DELETE";
            GUILD_ROLE_UPDATE: "GUILD_ROLE_UPDATE";
            GUILD_BAN_ADD: "GUILD_BAN_ADD";
            GUILD_BAN_REMOVE: "GUILD_BAN_REMOVE";
            GUILD_EMOJIS_UPDATE: "GUILD_EMOJIS_UPDATE";
            GUILD_INTEGRATIONS_UPDATE: "GUILD_INTEGRATIONS_UPDATE";
            CHANNEL_CREATE: "CHANNEL_CREATE";
            CHANNEL_DELETE: "CHANNEL_DELETE";
            CHANNEL_UPDATE: "CHANNEL_UPDATE";
            CHANNEL_PINS_UPDATE: "CHANNEL_PINS_UPDATE";
            MESSAGE_CREATE: "MESSAGE_CREATE";
            MESSAGE_DELETE: "MESSAGE_DELETE";
            MESSAGE_UPDATE: "MESSAGE_UPDATE";
            MESSAGE_DELETE_BULK: "MESSAGE_DELETE_BULK";
            MESSAGE_REACTION_ADD: "MESSAGE_REACTION_ADD";
            MESSAGE_REACTION_REMOVE: "MESSAGE_REACTION_REMOVE";
            MESSAGE_REACTION_REMOVE_ALL: "MESSAGE_REACTION_REMOVE_ALL";
            MESSAGE_REACTION_REMOVE_EMOJI: "MESSAGE_REACTION_REMOVE_EMOJI";
            THREAD_CREATE: "THREAD_CREATE";
            THREAD_UPDATE: "THREAD_UPDATE";
            THREAD_DELETE: "THREAD_DELETE";
            THREAD_LIST_SYNC: "THREAD_LIST_SYNC";
            THREAD_MEMBER_UPDATE: "THREAD_MEMBER_UPDATE";
            THREAD_MEMBERS_UPDATE: "THREAD_MEMBERS_UPDATE";
            USER_UPDATE: "USER_UPDATE";
            PRESENCE_UPDATE: "PRESENCE_UPDATE";
            TYPING_START: "TYPING_START";
            VOICE_STATE_UPDATE: "VOICE_STATE_UPDATE";
            VOICE_SERVER_UPDATE: "VOICE_SERVER_UPDATE";
            WEBHOOKS_UPDATE: "WEBHOOKS_UPDATE";
            INTERACTION_CREATE: "INTERACTION_CREATE";
            STAGE_INSTANCE_CREATE: "STAGE_INSTANCE_CREATE";
            STAGE_INSTANCE_UPDATE: "STAGE_INSTANCE_UPDATE";
            STAGE_INSTANCE_DELETE: "STAGE_INSTANCE_DELETE";
            GUILD_STICKERS_UPDATE: "GUILD_STICKERS_UPDATE";
        };
        Colors: import("discord.js").ConstantsColors;
        Status: import("discord.js").ConstantsStatus;
        Opcodes: import("discord.js").ConstantsOpcodes;
        APIErrors: import("discord.js").APIErrors;
        ChannelTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ChannelTypes>;
        ThreadChannelTypes: import("discord.js").ThreadChannelTypes[];
        TextBasedChannelTypes: (import("discord.js").ThreadChannelTypes | "DM" | "GUILD_NEWS" | "GUILD_TEXT")[];
        VoiceBasedChannelTypes: ("GUILD_STAGE_VOICE" | "GUILD_VOICE")[];
        ClientApplicationAssetTypes: import("discord.js").ConstantsClientApplicationAssetTypes;
        IntegrationExpireBehaviors: import("discord.js").IntegrationExpireBehaviors[];
        InviteScopes: import("discord.js").InviteScope[];
        MessageTypes: ("DEFAULT" | "RECIPIENT_ADD" | "RECIPIENT_REMOVE" | "CALL" | "CHANNEL_NAME_CHANGE" | "CHANNEL_ICON_CHANGE" | "CHANNEL_PINNED_MESSAGE" | "GUILD_MEMBER_JOIN" | "USER_PREMIUM_GUILD_SUBSCRIPTION" | "USER_PREMIUM_GUILD_SUBSCRIPTION_TIER_1" | "USER_PREMIUM_GUILD_SUBSCRIPTION_TIER_2" | "USER_PREMIUM_GUILD_SUBSCRIPTION_TIER_3" | "CHANNEL_FOLLOW_ADD" | "GUILD_DISCOVERY_DISQUALIFIED" | "GUILD_DISCOVERY_REQUALIFIED" | "GUILD_DISCOVERY_GRACE_PERIOD_INITIAL_WARNING" | "GUILD_DISCOVERY_GRACE_PERIOD_FINAL_WARNING" | "THREAD_CREATED" | "REPLY" | "APPLICATION_COMMAND" | "THREAD_STARTER_MESSAGE" | "GUILD_INVITE_REMINDER" | "CONTEXT_MENU_COMMAND")[];
        SystemMessageTypes: import("discord.js").SystemMessageType[];
        ActivityTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ActivityTypes>;
        StickerTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").StickerTypes>;
        StickerFormatTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").StickerFormatTypes>;
        OverwriteTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").OverwriteTypes>;
        ExplicitContentFilterLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ExplicitContentFilterLevels>;
        DefaultMessageNotificationLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").DefaultMessageNotificationLevels>;
        VerificationLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").VerificationLevels>;
        MembershipStates: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").MembershipStates>;
        ApplicationCommandOptionTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ApplicationCommandOptionTypes>;
        ApplicationCommandPermissionTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ApplicationCommandPermissionTypes>;
        InteractionTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").InteractionTypes>;
        InteractionResponseTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").InteractionResponseTypes>;
        MessageComponentTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").MessageComponentTypes>;
        MessageButtonStyles: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").MessageButtonStyles>;
        MFALevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").MFALevels>;
        NSFWLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").NSFWLevels>;
        PrivacyLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").PrivacyLevels>;
        WebhookTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").WebhookTypes>;
        PremiumTiers: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").PremiumTiers>;
        ApplicationCommandTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").ApplicationCommandTypes>;
        GuildScheduledEventEntityTypes: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").GuildScheduledEventEntityTypes>;
        GuildScheduledEventStatuses: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").GuildScheduledEventStatuses>;
        GuildScheduledEventPrivacyLevels: import("discord.js").EnumHolder<typeof import("discord.js/typings/enums").GuildScheduledEventPrivacyLevels>;
    };
    version: string;
    BaseManager: typeof import("discord.js").BaseManager;
    DataManager: typeof import("discord.js").DataManager;
    CachedManager: typeof import("discord.js").CachedManager;
    ApplicationCommandManager: typeof import("discord.js").ApplicationCommandManager;
    ApplicationCommandPermissionsManager: typeof import("discord.js").ApplicationCommandPermissionsManager;
    BaseGuildEmojiManager: typeof import("discord.js").BaseGuildEmojiManager;
    ChannelManager: typeof import("discord.js").ChannelManager;
    GuildApplicationCommandManager: typeof import("discord.js").GuildApplicationCommandManager;
    GuildChannelManager: typeof import("discord.js").GuildChannelManager;
    GuildEmojiManager: typeof import("discord.js").GuildEmojiManager;
    GuildEmojiRoleManager: typeof import("discord.js").GuildEmojiRoleManager;
    GuildManager: typeof import("discord.js").GuildManager;
    GuildMemberManager: typeof import("discord.js").GuildMemberManager;
    GuildBanManager: typeof import("discord.js").GuildBanManager;
    GuildInviteManager: typeof import("discord.js").GuildInviteManager;
    GuildScheduledEventManager: typeof import("discord.js").GuildScheduledEventManager;
    GuildStickerManager: typeof import("discord.js").GuildStickerManager;
    GuildMemberRoleManager: typeof import("discord.js").GuildMemberRoleManager;
    MessageManager: typeof import("discord.js").MessageManager;
    PermissionOverwriteManager: typeof import("discord.js").PermissionOverwriteManager;
    PresenceManager: typeof import("discord.js").PresenceManager;
    ReactionManager: typeof import("discord.js").ReactionManager;
    ReactionUserManager: typeof import("discord.js").ReactionUserManager;
    RoleManager: typeof import("discord.js").RoleManager;
    StageInstanceManager: typeof import("discord.js").StageInstanceManager;
    ThreadManager: typeof import("discord.js").ThreadManager;
    ThreadMemberManager: typeof import("discord.js").ThreadMemberManager;
    UserManager: typeof import("discord.js").UserManager;
    VoiceStateManager: typeof import("discord.js").VoiceStateManager;
    Instance: typeof import("./Instances/Instance").default;
    InstanceManager: typeof import("./Instances/InstanceManager").default;
    InstanceClientUtil: typeof import("./Instances/InstanceClientUtil").default;
};
export = _exports;
export var Instance: typeof import("./Instances/Instance").default;
export var InstanceManager: typeof import("./Instances/InstanceManager").default;
export var InstanceClientUtil: typeof import("./Instances/InstanceClientUtil").default;
